# Create Download URL

Create URL for downloading the document using the company ID and document ID.

&#x20;Can only access documents where users who retain the token values entered under Authorization can view. (logged-in users)

The created URL is valid for 5 minutes.

## workflow\_download

<mark style="color:green;">`POST`</mark> `https://docs.esignon.net/workflow/download`

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | **esignon {token}** |
| Content-Type  | string | application/json    |

#### Request Body

| Name         | Type   | Description              |
| ------------ | ------ | ------------------------ |
| workflow\_id | string | ID of completed document |
| client\_id   | string | ID issued by esignon     |

{% tabs %}
{% tab title="200 " %}

```javascript
{
	"header":{
		"response_code": "",
		"result_code": "00",
		"result_msg": "Success",
		"session_id": ""
	},
	"body":{
		"cert_url": "{History Certificate Download URL}",
		"doc_url": "{Document Download URL}",
		"workflow_name": "{Completed Document Name}"
	}
}
```

{% endtab %}
{% endtabs %}

Example) Request Body

```javascript
{
  "client_id":"{ID issued by esignon}",
	"workflow_id": "{ID of completed document}"
}
```

Example) Response Body / Error

```javascript
{
    "header":{
        "response_code": "",
        "result_code": "{Result code}",
        "result_msg": "{'Message by code'}",
        "session_id": ""
    },
    "body":{}
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.esignon.net/eng-1/workflow/downloadurl.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
